/*
 * Copyright PMEase (c) 2005-2008,
 * Date: Dec 19, 2008
 * Time: 8:50:30 AM
 * All rights reserved.
 * 
 * Revision: $Id$
 */

package com.pmease.quickbuild.plugin.notifier.msn;

import org.hibernate.validator.constraints.Email;

import com.pmease.quickbuild.annotation.Editable;
import com.pmease.quickbuild.annotation.ScriptApi;
import com.pmease.quickbuild.annotation.Scriptable;

@ScriptApi
public class MsnUserSetting {
	private String msnAccount;

	@Editable(order = 100, description = 
		"Optionally specify MSN Messenger account for this user if you want to get " +
		"build notifications through MSN messenger. For example: <b>yourname@hotmail.com</b>.<br>" +
		"<strong>NOTE:</strong> To get MSN notification, you will need to add the sender " +
		"account (contact your QuickBuild administrator if you do not know the sender " +
		"account used by QuickBuild.) to your MSN contact list.")
	@Email
	@ScriptApi("Get MSN account of the user.")
	@Scriptable
	public String getMsnAccount() {
		return msnAccount;
	}

	public void setMsnAccount(String msnAccount) {
		this.msnAccount = msnAccount;
	}

}
